dnl======================================================================
dnl GDS_BUILD_TYPE
dnl   Check build type: online, offline, ...
dnl======================================================================

AC_DEFUN([AC_GDS_BUILD_TYPE],
[
  AC_MSG_CHECKING([GDS build type])
  buildtype="online"
  AC_ARG_ENABLE( [online],
	               AC_HELP_STRING([--enable-online], [Online program version]),
	               [test x${enableval} = "xyes" && buildtype="online"],
                 )
  AC_ARG_ENABLE( [offline],
	               AC_HELP_STRING([--enable-offline], [Offline program version]),
	               AC_MSG_ERROR([Build type offline is not currently supported])
	               dnl - [test x${enableval} = "xyes" && buildtype="offline"],
                 )
  AS_IF( [test "x$buildtype" = "xnone"],
    [ buildtype="$GDSBUILD"
      AS_CASE( ["x$buildtype"],
               [xonline | xoffline],[],
               [ echo "Online or offline build must be specified - Aborting"
                 exit 1 ] ) ] )
  AC_MSG_RESULT([$buildtype])

  online=
  offline=
  AM_CONDITIONAL([online], test x$buildtype = xonline)
  AM_CONDITIONAL([offline], test x$buildtype = xoffline)

  dnl ===================================================================
  dnl   Check whether to build moniors
  dnl ===================================================================
  AC_MSG_CHECKING([whether to build monitors])
  need_monitors=yes
  AC_ARG_ENABLE( [monitors],
	               AC_HELP_STRING([--enable-monitors], [Build all monitors]),
	               [need_monitors=$enable_monitors]
                 )

  need_omega=no
  AC_ARG_ENABLE( [omega],
	               AC_HELP_STRING([--enable-omega], [Build Omega_c only]),
	               [need_omega=$enable_omega]
                 )
  AC_MSG_RESULT([$need_monitors])

  AM_CONDITIONAL([build_monitors], [test x$need_monitors != xno ])
  AM_CONDITIONAL([build_omega], [test x$need_omega != xno ])

  dnl ===================================================================
  dnl   Also set dtt online flag here
  dnl ===================================================================
  dtt_online=
  AM_CONDITIONAL([dtt_online], test x$buildtype = xonline)
])

